## pyexcel-io 0.5.18

=== Makefile ===
all: test

test:
	bash test.sh

document:
	sphinx-autogen -o docs/source/generated/ docs/source/*.rst
	sphinx-build -b html docs/source/ docs/build/

lint:
	bash lint.sh

=== tests/requirements.txt ===
nose
mock;python_version<"3"
codecov
coverage
flake8
SQLAlchemy
pyexcel>=0.2.0
pyexcel-xls>=0.1.0

## pyexcel-io 0.2.3

=== debian/changelog ===
pyexcel-io (0.2.3-1~eob80+2) jessie-eobuilder; urgency=low

  * Eobuilder version

 -- Serghei Mihai <eobuilder@jenkins.monitoring.entrouvert.org>  Mon, 21 Nov 2016 14:44:56 +0100

pyexcel-io (0.2.3-1~eob70+1) wheezy-eobuilder; urgency=low

  * Eobuilder version

 -- Serghei Mihai <eobuilder@jenkins.monitoring.entrouvert.org>  Mon, 21 Nov 2016 14:44:34 +0100

pyexcel-io (0.2.3-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5

 -- Serghei Mihai <smihai@entrouvert.com>  Wed, 07 Sep 2016 15:27:51 +0200

=== debian/control ===
Source: pyexcel-io
Maintainer: C.W. <wangc_2011 (at) hotmail.com>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7)
Standards-Version: 3.9.1



Package: python-pyexcel-io
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: A python library to read and write structured data in csv, zipped csv format and to/from databases
 Provides one application programming interface(API) to read and write the data
 in excel format, import the data into and export the data from database. It
 provides support for csv(z) format, django database and sqlalchemy supported
 databases. Its supported file formats are extended to cover "xls", "xlsx",
 "ods".

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Wed, 07 Sep 2016 15:27:51 +0200

%:
	dh $@ --with python2

## pyexcel-io 0.5.18

=== debian/changelog ===
pyexcel-io (0.5.18-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:18:32 +0200

pyexcel-io (0.5.18-0kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Remove Python 2 module
  * Bump Standards-Version to 4.4.1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jan 2020 08:32:23 +0100

pyexcel-io (0.5.18-0kali2) kali-dev; urgency=medium

  * Add a patch to remove files created during tests

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 11 Jul 2019 11:00:53 +0200

pyexcel-io (0.5.18-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com

  [ Sophie Brun ]
  * Add debian/gbp.conf
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.3.0
  * Update email
  * New upstream version 0.5.18
  * Update debian/copyright
  * Add missing dependencies
  * Remove fix-typo.patch
  * Update documentation build and installation
  * Add a patch to drop failing tests

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 10 Jul 2019 13:31:39 +0200

pyexcel-io (0.1.0-0kali2) kali-dev; urgency=medium

  * Fix debian/watch
  * Add missing doc README.rst

 -- Sophie Brun <sophie@freexian.com>  Tue, 29 Aug 2017 11:14:10 +0200

pyexcel-io (0.1.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@freexian.com>  Mon, 28 Aug 2017 15:04:48 +0200

=== debian/control ===
Source: pyexcel-io
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-lml,
               python3-nose,
               python3-pyexcel,
               python3-setuptools,
               python3-sphinx,
               python3-sqlalchemy
Standards-Version: 4.4.1
Homepage: https://github.com/pyexcel/pyexcel-io
Testsuite: autopkgtest-pkg-python

Package: python3-pyexcel-io
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-pyexcel-io-doc
Description: API to read and write the data in excel format (Python 3)
 This package contains one application programming interface(API) to read and
 write the data in excel format, import the data into and export the data from
 database. It provides support for csv(z) format, django database and sqlalchemy
 supported databases. Its supported file formats are extended to cover "xls",
 "xlsx", "ods" by the following extensions:
    - pyexcel-xls: xls, xlsx(r), xlsm(r)
    - pyexcel-xlsx: xlsx
    - pyexcel-ods3: ods
    - pyexcel-ods: ods (Python 2.6, 2.7 only)
 .
 If you need to manipulate the data, you might do it yourself or use its
 brother library pyexcel .
 .
 If you would like to extend it, you may use it to write your own extension to
 handle a specific file format.
 .
 This package installs the library for Python 3.

Package: python-pyexcel-io-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: API to read and write the data in excel format (common documentation)
 This package contains one application programming interface(API) to read and
 write the data in excel format, import the data into and export the data from
 database. It provides support for csv(z) format, django database and sqlalchemy
 supported databases. Its supported file formats are extended to cover "xls",
 "xlsx", "ods" by the following extensions:
    - pyexcel-xls: xls, xlsx(r), xlsm(r)
    - pyexcel-xlsx: xlsx
    - pyexcel-ods3: ods
    - pyexcel-ods: ods (Python 2.6, 2.7 only)
 .
 If you need to manipulate the data, you might do it yourself or use its
 brother library pyexcel .
 .
 If you would like to extend it, you may use it to write your own extension to
 handle a specific file format.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyexcel-io

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source build/html # Manpage generator

## pyexcel-io 0.6.6

=== Makefile ===
all: test

test: lint
	bash test.sh

install_test:
	pip install -r tests/requirements.txt

lint:
	bash lint.sh

format:
	bash format.sh

git-diff-check:
	git diff --exit-code

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyexcel_io.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyexcel_io.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyexcel_io"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyexcel_io"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== tests/requirements.txt ===
nose
mock;python_version<"3"
codecov
coverage
flake8
black
isort
collective.checkdocs
pygments
moban
moban_jinja2_github
pyexcel
pyexcel-xls==0.5.9
SQLAlchemy
pyexcel-xlsxw

=== debian/changelog ===
pyexcel-io (0.6.6-0kali3) kali-dev; urgency=medium

  * Add another missing Build-Depends for tests

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 27 Aug 2024 10:55:19 +0700

pyexcel-io (0.6.6-0kali2) kali-dev; urgency=medium

  * Add missing Build-Depends for tests, update related patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 27 Aug 2024 10:39:45 +0700

pyexcel-io (0.6.6-0kali1) kali-dev; urgency=medium

  * New upstream version 0.6.6
  * Update copyright years
  * Drop patches applied upstream
  * Refresh patches
  * Bump debhelper-compat
  * Use execute_after in debian/rules
  * Use description_file instead of description-file
  * Clarify which Build-Dependencies are needed for tests only

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 23 Aug 2024 11:25:39 +0700

pyexcel-io (0.5.18-0kali4) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

  [ Ben Wilson ]
  * Update email address
  * Update email address
  * Add Uploaders

  [ Steev Klimaszewski ]
  * Add patch for spinx-doc api deprecation.
  * Update standards version to 4.6.2, no changes needed.

 -- Steev Klimaszewski <steev@kali.org>  Tue, 14 Nov 2023 13:25:02 -0600

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: pyexcel-io
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-lml,
-               python3-nose,
-               python3-pyexcel,
+               python3-nose <!nocheck>,
+               python3-pyexcel <!nocheck>,
+               python3-pyexcel-xls (>= 0.7.0) <!nocheck>,
+               python3-pyexcel-xlsx (>= 0.6.0) <!nocheck>,
                python3-setuptools,
                python3-sphinx,
                python3-sqlalchemy
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/pyexcel/pyexcel-io
+Vcs-Git: https://gitlab.com/kalilinux/packages/pyexcel-io.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/pyexcel-io
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-pyexcel-io

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyexcel-io

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source build/html # Manpage generator

=== debian/watch ===
version=4
 https://pypi.debian.net/pyexcel-io/pyexcel-io-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
